package model

type EggEnergyUserEggIndexWeight struct {
	Id                                  int64  `json:"id" xorm:"pk autoincr BIGINT(20)"`
	Ecpm                                string `json:"ecpm" xorm:"not null default 0.000000000000 comment('ecpm') DECIMAL(20,12)"`
	InviteUserNums                      string `json:"invite_user_nums" xorm:"not null comment('拉新人数') DECIMAL(20,12)"`
	TeamActivityNums                    string `json:"team_activity_nums" xorm:"not null comment('团队活跃次数') DECIMAL(20,12)"`
	SignInNums                          string `json:"sign_in_nums" xorm:"not null comment('签到次数') DECIMAL(20,12)"`
	ImActivityNums                      string `json:"im_activity_nums" xorm:"not null comment('im活跃次数') DECIMAL(20,12)"`
	SendRedPackageNums                  string `json:"send_red_package_nums" xorm:"not null comment('发红包次数') DECIMAL(20,12)"`
	EggEnergyExchangeAccountBalance     string `json:"egg_energy_exchange_account_balance" xorm:"not null comment('蛋蛋能量兑换余额数量') DECIMAL(20,12)"`
	AccountBalanceExchangeEggEnergyNums string `json:"account_balance_exchange_egg_energy_nums" xorm:"not null comment('余额兑换蛋蛋能量数量') DECIMAL(20,12)"`
	SendCircleOfFriendNums              string `json:"send_circle_of_friend_nums" xorm:"not null comment('发朋友圈次数') DECIMAL(20,12)"`
	ForumCommentsNums                   string `json:"forum_comments_nums" xorm:"not null comment('论坛评论次数') DECIMAL(20,12)"`
	CollegeLearningNums                 string `json:"college_learning_nums" xorm:"not null comment('学院学习次数') DECIMAL(20,12)"`
	ViolateNums                         string `json:"violate_nums" xorm:"not null comment('违规次数') DECIMAL(20,12)"`
	BrowseInterfaceNums                 string `json:"browse_interface_nums" xorm:"not null comment('浏览界面次数') DECIMAL(20,12)"`
	PersonAddActivityValue              string `json:"person_add_activity_value" xorm:"not null comment('个人活跃积分') DECIMAL(20,12)"`
	CreateAt                            string `json:"create_at" xorm:"not null default 'CURRENT_TIMESTAMP' DATETIME"`
	UpdateAt                            string `json:"update_at" xorm:"not null default 'CURRENT_TIMESTAMP' DATETIME"`
}
